Subject: [Anima] GRASP progress

From: Brian E Carpenter <[email-masked]>
Date: Sat, 26 Sep 2015 11:59:49 +1200

Just a brief update on the GRASP signaling protocol.

>From some brief investigations, it seems that the payload size of
GRASP messages will hardly be affected by changing from a TLV format
to CBOR. Basically that's because CBOR doesn't really waste any bits,
whereas fixed-size TLV fields often do waste bits. Thus the CBOR
encoding "overhead" turns out not to be an overhead at all.

On the other hand, CBOR (with its associated CDDL notation and the
toolkits and language bindings that are available) really seems to make
life easier at the design/code stage, and makes extensibility almost
trivial.

So, the next version of the GRASP spec (before Yokohama) will include the
change to CBOR as well as other clarifications and improvements. We'll be
looking for thorough reviews and prototyping.

Regards
   Brian